/*
 * Copyright (c) 2010 ISPRAS
 *
 * Institute for System Programming of the Russian Academy of Sciences (ISPRAS)
 * 25 A.Solzhenitsyn st. Moscow 109004 Russia
 *
 * http://hardware.ispras.ru
 */

#ifndef _SYNC_H_INCLUDED_
#define _SYNC_H_INCLUDED_

#include <agent.h>

#define ACTION_START_OPERATION  1
#define ACTION_FINISH_OPERATION 2

int start_scenario(TestScenario *scen, char *params);
int start_net_scenario(TestScenario *scen, char *params);
int start_scenario_with_init(TestScenario *initscen, TestScenario *scen, char *params);
int start_net_scenario_with_init(TestScenario *initscen, TestScenario *scen, char *params);

// function points to the procedure with CTESK's start scenario call
int start_scenario_from_function(void(*function)(void));

int end_scenario(void);

int  wait_for_apply(void);
void wait_for_check(void);

void apply_check(void);
void apply_finish(void);
void apply_operation(void);

#endif // _SYNC_H_INCLUDED_
